import { ref as _, defineComponent as w, reactive as b, onMounted as E, resolveComponent as f, openBlock as h, createBlock as W, mergeProps as D, withCtx as s, createVNode as l, nextTick as B, createTextVNode as C, createElementBlock as I, createElementVNode as M, unref as y } from "vue";
import { message as P, Card as O, Button as R } from "ant-design-vue";
import { C as T } from "./index.a17a0da3.js";
import { d as m, _ as k, W as L, e as A, k as $, h as x } from "./index.2de83af1.js";
import { useRouter as S } from "vue-router";
import "axios";
import "sanzhi-form-design-vue3";
const v = _([]);
async function V(t) {
  try {
    const e = await m("apis").getWorkflowCategoryTree({ ...t, parentId: 0 });
    return v.value = e.data, e || [];
  } catch (e) {
    throw new Error(e);
  }
}
async function U(t) {
  try {
    const e = await m("apis").addOrUpdateWorkflowCategory({ body: t });
    return P.success("\u64CD\u4F5C\u6210\u529F"), e || [];
  } catch (e) {
    throw new Error(e);
  }
}
function Y() {
  return {
    layout: "vertical",
    rowAttr: {
      gutter: { xs: 8, sm: 16, md: 24 }
    },
    baseColAttr: {
      span: 12
    },
    columns: [{
      label: "\u5206\u7C7B\u540D\u79F0",
      field: "name",
      component: "a-input"
    }, {
      label: "\u7C7B\u578B",
      field: "type",
      defaultValue: "WORKFLOW",
      component: "dict-select",
      componentProps: {
        dict: "CATEGORY_TYPE"
      }
    }, {
      label: "\u4E0A\u7EA7",
      field: "parentId",
      component: "a-cascader",
      componentProps: {
        options: v,
        "change-on-select": !0,
        fieldNames: {
          label: "name",
          value: "id"
        }
      }
    }, {
      label: "\u6392\u5E8F",
      field: "sort",
      component: "a-input-number"
    }]
  };
}
V({ type: "WORKFLOW" });
const K = w({
  components: { WorkflowStatus: L, ConfigForm: A },
  props: {
    hideActions: {
      type: [Boolean],
      default: !1
    }
  },
  emits: ["register", "success"],
  setup(t, { emit: e }) {
    S();
    const a = b({
      formData: {},
      formProps: {},
      actionLoading: !1
    });
    a.formProps = Y();
    const o = _(!1), i = _({}), u = {};
    function p(c) {
      Object.assign(u, c);
    }
    async function d(c = {}) {
      o.value = !0;
      const { data: n = {}, isUpdate: F } = c;
      i.value = n, await B(), await u.resetFormData(), F && (n.parentId = `${n.parentId}`, a.formData = n);
    }
    function r() {
      o.value = !1;
    }
    async function g() {
      const { parentId: c = [] } = a.formData;
      try {
        a.actionLoading = !0, await U({ ...a.formData, parentId: c.pop ? c.pop() : c });
      } catch (n) {
        console.log(n);
        return;
      } finally {
        a.actionLoading = !1;
      }
      e("success"), r();
    }
    return E(() => {
      e("register", { openModal: d, closeModal: r });
    }), {
      visible: o,
      modalData: i,
      state: a,
      closeModal: r,
      handleSave: g,
      registerForm: p
    };
  }
}), N = /* @__PURE__ */ C("\u4FDD\u5B58"), Q = /* @__PURE__ */ C("\u53D6\u6D88");
function G(t, e, a, o, i, u) {
  const p = f("ConfigForm"), d = f("a-button"), r = f("a-col"), g = f("a-row"), c = f("a-drawer");
  return h(), W(c, D({
    title: "\u7F16\u8F91\u6D41\u7A0B\u5206\u7C7B",
    visible: t.visible,
    "onUpdate:visible": e[1] || (e[1] = (n) => t.visible = n),
    width: "800px"
  }, t.$attrs), {
    footer: s(() => [
      l(g, {
        gutter: 15,
        justify: "end"
      }, {
        default: s(() => [
          l(r, null, {
            default: s(() => [
              l(d, {
                type: "primary",
                onClick: t.handleSave,
                loading: t.state.actionLoading
              }, {
                default: s(() => [
                  N
                ]),
                _: 1
              }, 8, ["onClick", "loading"])
            ]),
            _: 1
          }),
          l(r, null, {
            default: s(() => [
              l(d, {
                onClick: t.closeModal,
                loading: t.state.actionLoading
              }, {
                default: s(() => [
                  Q
                ]),
                _: 1
              }, 8, ["onClick", "loading"])
            ]),
            _: 1
          })
        ]),
        _: 1
      })
    ]),
    default: s(() => [
      l(p, {
        modelValue: t.state.formData,
        "onUpdate:modelValue": e[0] || (e[0] = (n) => t.state.formData = n),
        formProps: t.state.formProps,
        onRegister: t.registerForm
      }, null, 8, ["modelValue", "formProps", "onRegister"])
    ]),
    _: 1
  }, 16, ["visible"]);
}
const Z = /* @__PURE__ */ k(K, [["render", G], ["__scopeId", "data-v-50bfca2b"]]);
async function j(t) {
  try {
    const e = await m("apis").deleteWorkflowCategoryById(t);
    return P.success("\u5220\u9664\u6210\u529F"), e;
  } catch (e) {
    throw new Error(e);
  }
}
function z(t = {}) {
  return {
    rowKey: "id",
    columns: [
      {
        title: "\u5206\u7C7B\u540D\u79F0",
        dataIndex: "name"
      },
      {
        title: "\u7C7B\u578B",
        dataIndex: "type",
        customRender: function({ record: o }) {
          return m("showDictionary")("CATEGORY_TYPE", o.type);
        }
      },
      {
        title: "\u6392\u5E8F",
        dataIndex: "sort"
      },
      {
        title: "\u521B\u5EFA\u65E5\u671F",
        dataIndex: "createTime"
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 90,
        fixed: "right",
        buttons: [
          {
            title: "\u7F16\u8F91",
            icon: "edit-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(o) {
              t.categoryModal.openModal({ data: o, isUpdate: !0 });
            }
          },
          {
            title: "\u5220\u9664",
            icon: "delete-outlined",
            props: {
              danger: !0
            },
            key: "delete",
            onClick: async function(o) {
              try {
                await $({});
              } catch {
                return;
              }
              j({ id: o.id });
            }
          }
        ]
      }
    ]
  };
}
function q() {
  return {
    formProps: {
      columns: [{
        field: "keywords",
        label: "\u5173\u952E\u5B57"
      }, {
        label: "\u7C7B\u578B",
        field: "type",
        defaultValue: "WORKFLOW",
        component: "dict-select",
        componentProps: {
          dict: "CATEGORY_TYPE",
          selectProps: {
            allowClear: !0
          }
        }
      }]
    }
  };
}
const H = { class: "workflow-category" }, J = { class: "right" }, X = /* @__PURE__ */ C(" \u65B0\u589E "), ee = /* @__PURE__ */ w({
  __name: "SanZhiWorkflowCategory",
  setup(t) {
    const e = {};
    function a(r) {
      e.table = r;
    }
    function o(r) {
      e.categoryModal = r;
    }
    const i = b({
      locationQuery: x(),
      formProps: q(),
      tableProps: z(e),
      tabsList: [],
      tableQuery: {
        type: "WORKFLOW"
      },
      tableData: {},
      loading: !1,
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    });
    function u() {
      return m("apis").getWorkflowCategoryPageList;
    }
    function p() {
      e.categoryModal.openModal();
    }
    function d() {
      e.table.reload();
    }
    return (r, g) => (h(), I("div", H, [
      M("div", J, [
        l(y(O), { size: "small" }, {
          default: s(() => [
            l(y(T), {
              api: u(),
              extraParams: i.tableQuery,
              tableProps: i.tableProps,
              formProps: i.formProps,
              onRegister: a
            }, {
              formRight: s(() => [
                l(y(R), {
                  type: "primary",
                  onClick: p,
                  loading: i.loading
                }, {
                  default: s(() => [
                    X
                  ]),
                  _: 1
                }, 8, ["loading"])
              ]),
              _: 1
            }, 8, ["api", "extraParams", "tableProps", "formProps"])
          ]),
          _: 1
        })
      ]),
      l(Z, {
        onRegister: o,
        onSuccess: d
      })
    ]));
  }
});
const ie = /* @__PURE__ */ k(ee, [["__scopeId", "data-v-d0dc616f"]]);
export {
  ie as default
};
